# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_0c2zijvfzq/clone/recipe, last modified Fri Nov  3 17:56:23 2023
# ------------------------------------------------

package:
  name: featuretools
  version: 1.28.0
source:
  sha256: 33612eb1528a55ce4700f0c420c7775f4ff0533d5f256251ad6c07a17787f774
  url: https://pypi.io/packages/source/f/featuretools/featuretools-1.28.0.tar.gz
build:
  number: '0'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_0c2zijvfzq/croot/featuretools_1699052192162/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install --no-deps --no-build-isolation -vv .
  string: py311h5e5eb69_0
requirements:
  host:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2023.08.22 hecd8cb5_0
    - libffi 3.4.4 hecd8cb5_0
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.12 hca72f7f_0
    - pip 23.3 py311hecd8cb5_0
    - python 3.11.5 hf27a42d_0
    - readline 8.2 hca72f7f_0
    - setuptools 68.0.0 py311hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py311hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - cloudpickle >=1.5.0
    - holidays >=0.13,<0.33.0
    - numpy >=1.21.0
    - packaging >=20.0
    - pandas >=1.5.0
    - psutil >=5.6.6
    - python >=3.11,<3.12.0a0
    - scipy >=1.10.0
    - tqdm >=4.32.0
    - woodwork >=0.23.0
test:
  commands:
    - pip check
    - pytest --pyargs featuretools -v
  imports:
    - featuretools
  requires:
    - boto3 >=1.17.46
    - composeml >=0.8.0
    - graphviz >=0.8.4
    - moto >=3.0.7
    - openblas
    - pip
    - pyarrow >=3.0.0,<13.0.0
    - pympler >=0.8
    - pytest >=7.1.2
    - pytest-timeout >=2.1.0
    - pytest-xdist >=2.5.0
    - python-graphviz >=0.8.4
    - smart_open >=5.0.0
    - urllib3 >=1.26.5
about:
  description: 'Featuretools is a framework to perform automated feature engineering.

    It excels at transforming temporal and relational datasets into

    feature matrices for machine learning.

    '
  dev_url: https://github.com/alteryx/Featuretools
  doc_url: https://featuretools.alteryx.com
  home: https://featuretools.com/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: a framework for automated feature engineering
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 0c53fbc1-cc1e-49e3-82f6-5fbd9155f473
  recipe-maintainers:
    - dvreed77
    - gsheni
    - jeff-hernandez
    - machineAYX
    - ozzieD
    - rwedge
    - sbadithe
    - stefaniesmith
    - tamargrey
    - thehomebrewnerd
  remote_url: git@github.com:AnacondaRecipes/featuretools-feedstock.git
  sha: 82fdfa7e98a12b20ef427069d28c9af17b23625e
